/*===========================================================================*/
/*   (Ieee/symbol.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O3 -mklib -cc gcc-2.95 -fsharing -q -rm -s -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -g -c Ieee/symbol.scm -indent -o objs/obj_s/Ieee/symbol.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_debugzd2errorzf2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__stringzd2ze3symbol1878z31zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__stringzd2ze3keyword1893z31zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__r4_symbols_6_4z00();
static obj_t BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__getprop1884z00zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t string_to_symbol(char *);
BGL_EXPORTED_DECL bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl__keywordzf3zf3zz__r4_symbols_6_4z00(obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00();
static obj_t BGl__stringzd2ze3symbolzd2ci1880ze3zz__r4_symbols_6_4z00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2466z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2465z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2464z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2462z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2461z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2460z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2459z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2458z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2457z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2456z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2455z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2453z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2450z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2449z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2447z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2446z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2445z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl__keywordzd2ze3string1891z31zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_symbol2444z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2443z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31004za3Ieeezf2symbolze2scmza3151ze3z93zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_symbol2442z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2441z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2440z00zz__r4_symbols_6_4z00 = BUNSPEC;
extern bool_t symbol_exists_p(char *);
extern obj_t BGl_errorzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, char *, long);
static obj_t BGl_symbol2432z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2430z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2429z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2428z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__putpropz121886z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t);
extern obj_t string_to_keyword(char *);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
static obj_t BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_gensymz00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl__symbolzf3zf3zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__symbolzd2ze3string1876z31zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__rempropz121888z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00();
BGL_EXPORTED_DECL obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_getpropzd2envzd2zz__r4_symbols_6_4z00, BgL_bgl__getprop1884za700za7za7__r4_symbols_6_4za7002479z00, BGl__getprop1884z00zz__r4_symbols_6_4z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_symbolzd2appendzd2envz00zz__r4_symbols_6_4z00, BgL_bgl__symbolza7d2appendza7d2za7za7__r4_symbols_6_4za7002480za7, va_generic_entry, BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__stringza7d2za7e3keyword1893za731za7za7__r4_symbols_6_4za7002481z00, BGl__stringzd2ze3keyword1893z31zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_putpropz12zd2envzc0zz__r4_symbols_6_4z00, BgL_bgl__putpropza7121886za712za7za7__r4_symbols_6_4za7002482za7, BGl__putpropz121886z12zz__r4_symbols_6_4z00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_keywordzf3zd2envz21zz__r4_symbols_6_4z00, BgL_bgl__keywordza7f3za7f3za7za7__r4_symbols_6_4za7002483za7, BGl__keywordzf3zf3zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ze3symbolzd2cizd2envz31zz__r4_symbols_6_4z00, BgL_bgl__stringza7d2za7e3symbolza7d2ci1880za7e3za7za7__r4_symbols_6_4za7002484za7, BGl__stringzd2ze3symbolzd2ci1880ze3zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rempropz12zd2envzc0zz__r4_symbols_6_4z00, BgL_bgl__rempropza7121888za712za7za7__r4_symbols_6_4za7002485za7, BGl__rempropz121888z12zz__r4_symbols_6_4z00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00, BgL_bgl__symbolza7f3za7f3za7za7__r4_symbols_6_4za7002486za7, BGl__symbolzf3zf3zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__stringza7d2za7e3symbol1878za731za7za7__r4_symbols_6_4za7002487z00, BGl__stringzd2ze3symbol1878z31zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_keywordzd2ze3stringzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__keywordza7d2za7e3string1891za731za7za7__r4_symbols_6_4za7002488z00, BGl__keywordzd2ze3string1891z31zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_STRING( BGl_string2463z00zz__r4_symbols_6_4z00, BgL_bgl_string2463za700za7za7__r4_symbols_6_4za7002489z00, "keyword", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_symbolzd2ze3stringzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__symbolza7d2za7e3string1876za731za7za7__r4_symbols_6_4za7002490z00, BGl__symbolzd2ze3string1876z31zz__r4_symbols_6_4z00, 0L, 1 );
DEFINE_STRING( BGl_string2454z00zz__r4_symbols_6_4z00, BgL_bgl_string2454za700za7za7__r4_symbols_6_4za7002491z00, "getprop", 7 );
DEFINE_STRING( BGl_string2452z00zz__r4_symbols_6_4z00, BgL_bgl_string2452za700za7za7__r4_symbols_6_4za7002492z00, "argument is neither a symbol nor a keyword", 42 );
DEFINE_STRING( BGl_string2451z00zz__r4_symbols_6_4z00, BgL_bgl_string2451za700za7za7__r4_symbols_6_4za7002493z00, "symbol-plist", 12 );
DEFINE_STRING( BGl_string2448z00zz__r4_symbols_6_4z00, BgL_bgl_string2448za700za7za7__r4_symbols_6_4za7002494z00, "", 0 );
DEFINE_STRING( BGl_string2439z00zz__r4_symbols_6_4z00, BgL_bgl_string2439za700za7za7__r4_symbols_6_4za7002495z00, "bstring", 7 );
DEFINE_STRING( BGl_string2438z00zz__r4_symbols_6_4z00, BgL_bgl_string2438za700za7za7__r4_symbols_6_4za7002496z00, "long", 4 );
DEFINE_STRING( BGl_string2437z00zz__r4_symbols_6_4z00, BgL_bgl_string2437za700za7za7__r4_symbols_6_4za7002497z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string2436z00zz__r4_symbols_6_4z00, BgL_bgl_string2436za700za7za7__r4_symbols_6_4za7002498z00, "gensym", 6 );
DEFINE_STRING( BGl_string2435z00zz__r4_symbols_6_4z00, BgL_bgl_string2435za700za7za7__r4_symbols_6_4za7002499z00, "symbol", 6 );
DEFINE_STRING( BGl_string2434z00zz__r4_symbols_6_4z00, BgL_bgl_string2434za700za7za7__r4_symbols_6_4za7002500z00, "/tmp/bigloo/runtime/./Ieee/symbol.scm", 37 );
DEFINE_STRING( BGl_string2433z00zz__r4_symbols_6_4z00, BgL_bgl_string2433za700za7za7__r4_symbols_6_4za7002501z00, "pair", 4 );
DEFINE_STRING( BGl_string2431z00zz__r4_symbols_6_4z00, BgL_bgl_string2431za700za7za7__r4_symbols_6_4za7002502z00, "g", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_symbolzd2plistzd2envz00zz__r4_symbols_6_4z00, BgL_bgl__symbolza7d2plistza7d2za7za7__r4_symbols_6_4za7002503za7, BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long BgL_checksumz00_872, char * BgL_fromz00_873)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__r4_symbols_6_4z00(); 
BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00(); 
BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__r4_symbols_6_4z00()
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 14 */
BGl_symbol2428z00zz__r4_symbols_6_4z00 = 
string_to_symbol("%toplevel@__r4_symbols_6_4"); 
BGl_symbol2429z00zz__r4_symbols_6_4z00 = 
string_to_symbol("gensym"); 
BGl_symbol2430z00zz__r4_symbols_6_4z00 = 
string_to_symbol("<anonymous:1004:Ieee/symbol.scm:151>:toplevel-init"); 
BGl_symbol2432z00zz__r4_symbols_6_4z00 = 
string_to_symbol("<anonymous:1004:Ieee/symbol.scm:151>"); 
BGl_symbol2440z00zz__r4_symbols_6_4z00 = 
string_to_symbol("symbol?"); 
BGl_symbol2441z00zz__r4_symbols_6_4z00 = 
string_to_symbol("symbol->string"); 
BGl_symbol2442z00zz__r4_symbols_6_4z00 = 
string_to_symbol("_symbol->string1876"); 
BGl_symbol2443z00zz__r4_symbols_6_4z00 = 
string_to_symbol("string->symbol"); 
BGl_symbol2444z00zz__r4_symbols_6_4z00 = 
string_to_symbol("_string->symbol1878"); 
BGl_symbol2445z00zz__r4_symbols_6_4z00 = 
string_to_symbol("string->symbol-ci"); 
BGl_symbol2446z00zz__r4_symbols_6_4z00 = 
string_to_symbol("_string->symbol-ci1880"); 
BGl_symbol2447z00zz__r4_symbols_6_4z00 = 
string_to_symbol("symbol-append"); 
BGl_symbol2449z00zz__r4_symbols_6_4z00 = 
string_to_symbol("symbol-append'"); 
BGl_symbol2450z00zz__r4_symbols_6_4z00 = 
string_to_symbol("symbol-plist"); 
BGl_symbol2453z00zz__r4_symbols_6_4z00 = 
string_to_symbol("getprop"); 
BGl_symbol2455z00zz__r4_symbols_6_4z00 = 
string_to_symbol("_getprop1884"); 
BGl_symbol2456z00zz__r4_symbols_6_4z00 = 
string_to_symbol("putprop!"); 
BGl_symbol2457z00zz__r4_symbols_6_4z00 = 
string_to_symbol("_putprop!1886"); 
BGl_symbol2458z00zz__r4_symbols_6_4z00 = 
string_to_symbol("remprop!"); 
BGl_symbol2459z00zz__r4_symbols_6_4z00 = 
string_to_symbol("_remprop!1888"); 
BGl_symbol2460z00zz__r4_symbols_6_4z00 = 
string_to_symbol("keyword?"); 
BGl_symbol2461z00zz__r4_symbols_6_4z00 = 
string_to_symbol("keyword->string"); 
BGl_symbol2462z00zz__r4_symbols_6_4z00 = 
string_to_symbol("_keyword->string1891"); 
BGl_symbol2464z00zz__r4_symbols_6_4z00 = 
string_to_symbol("string->keyword"); 
BGl_symbol2465z00zz__r4_symbols_6_4z00 = 
string_to_symbol("_string->keyword1893"); 
return ( 
BGl_symbol2466z00zz__r4_symbols_6_4z00 = 
string_to_symbol("%import@__r4_symbols_6_4"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00()
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 14 */
{ /* ./Ieee/symbol.scm 149 */
obj_t BgL_symbol1810z00_680;
BgL_symbol1810z00_680 = BGl_symbol2428z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 149 */

PUSH_TRACE(BgL_symbol1810z00_680); BUNSPEC; 
{ /* ./Ieee/symbol.scm 149 */
obj_t BgL_aux1809z00_681;
{ /* ./Ieee/symbol.scm 150 */
obj_t BgL_symbol1802z00_676;
BgL_symbol1802z00_676 = BGl_symbol2429z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 150 */

PUSH_TRACE(BgL_symbol1802z00_676); BUNSPEC; 
{ /* ./Ieee/symbol.scm 150 */
obj_t BgL_aux1801z00_677;
{ /* ./Ieee/symbol.scm 150 */
obj_t BgL_counterz00_329;
{ /* ./Ieee/symbol.scm 150 */
obj_t BgL_cellvalz00_908;
BgL_cellvalz00_908 = 
BINT(((long)999)); 
BgL_counterz00_329 = 
MAKE_CELL(BgL_cellvalz00_908); } 
{ /* ./Ieee/symbol.scm 151 */
obj_t BgL_zc3anonymousza31004za3ieeezf2symbolze2scmza3151ze3z93_708;
{ 
int BgL_auxz00_912;int BgL_auxz00_910;
BgL_auxz00_912 = 
(int)(((long)1)); 
BgL_auxz00_910 = 
(int)(((long)-1)); 
BgL_zc3anonymousza31004za3ieeezf2symbolze2scmza3151ze3z93_708 = 
make_va_procedure(BGl_zc3anonymousza31004za3Ieeezf2symbolze2scmza3151ze3z93zz__r4_symbols_6_4z00, BgL_auxz00_910, BgL_auxz00_912); } 
{ /* ./Ieee/symbol.scm 151 */
int BgL_auxz00_915;
BgL_auxz00_915 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31004za3ieeezf2symbolze2scmza3151ze3z93_708, BgL_auxz00_915, BgL_counterz00_329); } 
BgL_aux1801z00_677 = BgL_zc3anonymousza31004za3ieeezf2symbolze2scmza3151ze3z93_708; } } 
POP_TRACE(); 
BgL_aux1809z00_681 = ( 
BGl_gensymz00zz__r4_symbols_6_4z00 = BgL_aux1801z00_677, BUNSPEC) ; } } } 
POP_TRACE(); 
return BgL_aux1809z00_681;} } } } 
}



/* <anonymous:1004:Ieee/symbol.scm:151> */
obj_t BGl_zc3anonymousza31004za3Ieeezf2symbolze2scmza3151ze3z93zz__r4_symbols_6_4z00(obj_t BgL_envz00_709, obj_t BgL_stringz00_711)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 151 */
{ /* ./Ieee/symbol.scm 152 */
obj_t BgL_counterz00_710;
{ /* ./Ieee/symbol.scm 152 */
int BgL_auxz00_920;
BgL_auxz00_920 = 
(int)(((long)0)); 
BgL_counterz00_710 = 
PROCEDURE_REF(BgL_envz00_709, BgL_auxz00_920); } 
{ 
obj_t BgL_stringz00_330;
BgL_stringz00_330 = BgL_stringz00_711; 
{ /* ./Ieee/symbol.scm 152 */
obj_t BgL_symbol1806z00_678;
BgL_symbol1806z00_678 = BGl_symbol2430z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 152 */

PUSH_TRACE(BgL_symbol1806z00_678); BUNSPEC; 
{ /* ./Ieee/symbol.scm 152 */
obj_t BgL_aux1805z00_679;
{ /* ./Ieee/symbol.scm 152 */
obj_t BgL_stringz00_332;
if(
NULLP(BgL_stringz00_330))
{ /* ./Ieee/symbol.scm 153 */
BgL_stringz00_332 = BGl_string2431z00zz__r4_symbols_6_4z00; }  else 
{ /* ./Ieee/symbol.scm 155 */
bool_t BgL_test1017z00_339;
{ /* ./Ieee/symbol.scm 155 */
obj_t BgL_arg1039z00_348;
{ /* ./Ieee/symbol.scm 155 */
obj_t BgL_pairz00_544;
if(
PAIRP(BgL_stringz00_330))
{ /* ./Ieee/symbol.scm 155 */
BgL_pairz00_544 = BgL_stringz00_330; }  else 
{ /* ./Ieee/symbol.scm 155 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2432z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_stringz00_330, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6525))); 
exit( -1 );} 
BgL_arg1039z00_348 = 
CAR(BgL_pairz00_544); } 
BgL_test1017z00_339 = 
SYMBOLP(BgL_arg1039z00_348); } 
if(BgL_test1017z00_339)
{ /* ./Ieee/symbol.scm 155 */
{ /* ./Ieee/symbol.scm 156 */
obj_t BgL_arg1019z00_340;
{ /* ./Ieee/symbol.scm 156 */
obj_t BgL_pairz00_546;
if(
PAIRP(BgL_stringz00_330))
{ /* ./Ieee/symbol.scm 156 */
BgL_pairz00_546 = BgL_stringz00_330; }  else 
{ /* ./Ieee/symbol.scm 156 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2432z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_stringz00_330, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6561))); 
exit( -1 );} 
BgL_arg1019z00_340 = 
CAR(BgL_pairz00_546); } 
{ /* ./Ieee/symbol.scm 156 */
obj_t BgL_symbolz00_547;
if(
SYMBOLP(BgL_arg1019z00_340))
{ /* ./Ieee/symbol.scm 156 */
BgL_symbolz00_547 = BgL_arg1019z00_340; }  else 
{ /* ./Ieee/symbol.scm 156 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2432z00zz__r4_symbols_6_4z00, BGl_string2435z00zz__r4_symbols_6_4z00, BgL_arg1019z00_340, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6562))); 
exit( -1 );} 
BgL_stringz00_332 = 
SYMBOL_TO_STRING(BgL_symbolz00_547); } } }  else 
{ /* ./Ieee/symbol.scm 157 */
bool_t BgL_test1022z00_341;
{ /* ./Ieee/symbol.scm 157 */
obj_t BgL_arg1035z00_347;
{ /* ./Ieee/symbol.scm 157 */
obj_t BgL_pairz00_548;
if(
PAIRP(BgL_stringz00_330))
{ /* ./Ieee/symbol.scm 157 */
BgL_pairz00_548 = BgL_stringz00_330; }  else 
{ /* ./Ieee/symbol.scm 157 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2432z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_stringz00_330, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6591))); 
exit( -1 );} 
BgL_arg1035z00_347 = 
CAR(BgL_pairz00_548); } 
BgL_test1022z00_341 = 
STRINGP(BgL_arg1035z00_347); } 
if(BgL_test1022z00_341)
{ /* ./Ieee/symbol.scm 157 */
{ /* ./Ieee/symbol.scm 158 */
obj_t BgL_pairz00_550;
if(
PAIRP(BgL_stringz00_330))
{ /* ./Ieee/symbol.scm 158 */
BgL_pairz00_550 = BgL_stringz00_330; }  else 
{ /* ./Ieee/symbol.scm 158 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2432z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_stringz00_330, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6611))); 
exit( -1 );} 
BgL_stringz00_332 = 
CAR(BgL_pairz00_550); } }  else 
{ /* ./Ieee/symbol.scm 157 */
{ /* ./Ieee/symbol.scm 160 */
obj_t BgL_arg1028z00_344;
{ /* ./Ieee/symbol.scm 162 */
obj_t BgL_pairz00_551;
if(
PAIRP(BgL_stringz00_330))
{ /* ./Ieee/symbol.scm 162 */
BgL_pairz00_551 = BgL_stringz00_330; }  else 
{ /* ./Ieee/symbol.scm 162 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2432z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_stringz00_330, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6689))); 
exit( -1 );} 
BgL_arg1028z00_344 = 
CAR(BgL_pairz00_551); } 
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2436z00zz__r4_symbols_6_4z00, BGl_string2437z00zz__r4_symbols_6_4z00, BgL_arg1028z00_344, "./Ieee/symbol.scm", ((long)6632)); } 
BgL_stringz00_332 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6632))); } } } 
{ 

BgL_loopz00_333:
{ /* ./Ieee/symbol.scm 164 */
obj_t BgL_auxz00_712;
{ /* ./Ieee/symbol.scm 164 */
long BgL_za71za7_555;
{ /* ./Ieee/symbol.scm 164 */
obj_t BgL_auxz00_969;
{ /* ./Ieee/symbol.scm 164 */
obj_t BgL_aux1968z00_753;
BgL_aux1968z00_753 = 
CELL_REF(BgL_counterz00_710); 
if(
INTEGERP(BgL_aux1968z00_753))
{ /* ./Ieee/symbol.scm 164 */
BgL_auxz00_969 = BgL_aux1968z00_753
; }  else 
{ /* ./Ieee/symbol.scm 164 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2432z00zz__r4_symbols_6_4z00, BGl_string2438z00zz__r4_symbols_6_4z00, BgL_aux1968z00_753, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6737))); 
exit( -1 );} } 
BgL_za71za7_555 = 
(long)CINT(BgL_auxz00_969); } 
{ /* ./Ieee/symbol.scm 164 */
long BgL_auxz00_976;
BgL_auxz00_976 = 
(BgL_za71za7_555+((long)1)); 
BgL_auxz00_712 = 
BINT(BgL_auxz00_976); } } 
CELL_SET(BgL_counterz00_710, BgL_auxz00_712); } 
{ /* ./Ieee/symbol.scm 165 */
obj_t BgL_namez00_334;
{ /* ./Ieee/symbol.scm 165 */
obj_t BgL_arg1012z00_336;
{ /* ./Ieee/symbol.scm 165 */
long BgL_auxz00_979;
{ /* ./Ieee/symbol.scm 165 */
obj_t BgL_auxz00_980;
{ /* ./Ieee/symbol.scm 165 */
obj_t BgL_aux1980z00_755;
BgL_aux1980z00_755 = 
CELL_REF(BgL_counterz00_710); 
if(
INTEGERP(BgL_aux1980z00_755))
{ /* ./Ieee/symbol.scm 165 */
BgL_auxz00_980 = BgL_aux1980z00_755
; }  else 
{ /* ./Ieee/symbol.scm 165 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2432z00zz__r4_symbols_6_4z00, BGl_string2438z00zz__r4_symbols_6_4z00, BgL_aux1980z00_755, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6796))); 
exit( -1 );} } 
BgL_auxz00_979 = 
(long)CINT(BgL_auxz00_980); } 
BgL_arg1012z00_336 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_auxz00_979, BNIL); } 
{ /* ./Ieee/symbol.scm 165 */
obj_t BgL_auxz00_988;
if(
STRINGP(BgL_stringz00_332))
{ /* ./Ieee/symbol.scm 165 */
BgL_auxz00_988 = BgL_stringz00_332
; }  else 
{ /* ./Ieee/symbol.scm 165 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2432z00zz__r4_symbols_6_4z00, BGl_string2439z00zz__r4_symbols_6_4z00, BgL_stringz00_332, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6774))); 
exit( -1 );} 
BgL_namez00_334 = 
string_append(BgL_auxz00_988, BgL_arg1012z00_336); } } 
{ /* ./Ieee/symbol.scm 166 */
bool_t BgL_testz00_995;
{ /* ./Ieee/symbol.scm 166 */
char * BgL_auxz00_996;
BgL_auxz00_996 = 
BSTRING_TO_STRING(BgL_namez00_334); 
BgL_testz00_995 = 
symbol_exists_p(BgL_auxz00_996); } 
if(BgL_testz00_995)
{ /* ./Ieee/symbol.scm 166 */
goto BgL_loopz00_333;}  else 
{ /* ./Ieee/symbol.scm 167 */
char * BgL_auxz00_999;
BgL_auxz00_999 = 
BSTRING_TO_STRING(BgL_namez00_334); 
BgL_aux1805z00_679 = 
string_to_symbol(BgL_auxz00_999); } } } } } 
POP_TRACE(); 
return BgL_aux1805z00_679;} } } } } } 
}



/* symbol? */
BGL_EXPORTED_DEF bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 112 */
{ /* ./Ieee/symbol.scm 113 */
obj_t BgL_symbol1814z00_831;
BgL_symbol1814z00_831 = BGl_symbol2440z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 113 */

PUSH_TRACE(BgL_symbol1814z00_831); BUNSPEC; 
{ /* ./Ieee/symbol.scm 113 */
bool_t BgL_aux1813z00_832;
BgL_aux1813z00_832 = 
SYMBOLP(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1813z00_832;} } } } 
}



/* _symbol? */
obj_t BGl__symbolzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_envz00_713, obj_t BgL_objz00_714)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 112 */
{ /* ./Ieee/symbol.scm 113 */
bool_t BgL_auxz00_1006;
{ /* ./Ieee/symbol.scm 113 */
bool_t BgL_res2467z00_836;
{ /* ./Ieee/symbol.scm 113 */
obj_t BgL_symbol1814z00_834;
BgL_symbol1814z00_834 = BGl_symbol2440z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 113 */

PUSH_TRACE(BgL_symbol1814z00_834); BUNSPEC; 
{ /* ./Ieee/symbol.scm 113 */
bool_t BgL_aux1813z00_835;
BgL_aux1813z00_835 = 
SYMBOLP(BgL_objz00_714); 
POP_TRACE(); 
BgL_res2467z00_836 = BgL_aux1813z00_835; } } } 
BgL_auxz00_1006 = BgL_res2467z00_836; } 
return 
BBOOL(BgL_auxz00_1006);} } 
}



/* symbol->string */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_2)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 118 */
{ /* ./Ieee/symbol.scm 119 */
obj_t BgL_symbol1818z00_837;
BgL_symbol1818z00_837 = BGl_symbol2441z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 119 */

PUSH_TRACE(BgL_symbol1818z00_837); BUNSPEC; 
{ /* ./Ieee/symbol.scm 119 */
obj_t BgL_aux1817z00_838;
BgL_aux1817z00_838 = 
SYMBOL_TO_STRING(BgL_symbolz00_2); 
POP_TRACE(); 
return BgL_aux1817z00_838;} } } } 
}



/* _symbol->string1876 */
obj_t BGl__symbolzd2ze3string1876z31zz__r4_symbols_6_4z00(obj_t BgL_envz00_715, obj_t BgL_symbolz00_716)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 118 */
{ /* ./Ieee/symbol.scm 119 */
obj_t BgL_res2468z00_842;
{ /* ./Ieee/symbol.scm 119 */
obj_t BgL_symbolz00_839;
if(
SYMBOLP(BgL_symbolz00_716))
{ /* ./Ieee/symbol.scm 119 */
BgL_symbolz00_839 = BgL_symbolz00_716; }  else 
{ /* ./Ieee/symbol.scm 119 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2442z00zz__r4_symbols_6_4z00, BGl_string2435z00zz__r4_symbols_6_4z00, BgL_symbolz00_716, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)5055))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 119 */
obj_t BgL_symbol1818z00_840;
BgL_symbol1818z00_840 = BGl_symbol2441z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 119 */

PUSH_TRACE(BgL_symbol1818z00_840); BUNSPEC; 
{ /* ./Ieee/symbol.scm 119 */
obj_t BgL_aux1817z00_841;
BgL_aux1817z00_841 = 
SYMBOL_TO_STRING(BgL_symbolz00_839); 
POP_TRACE(); 
BgL_res2468z00_842 = BgL_aux1817z00_841; } } } } 
return BgL_res2468z00_842;} } 
}



/* string->symbol */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t BgL_stringz00_3)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 124 */
{ /* ./Ieee/symbol.scm 125 */
obj_t BgL_symbol1822z00_843;
BgL_symbol1822z00_843 = BGl_symbol2443z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 125 */

PUSH_TRACE(BgL_symbol1822z00_843); BUNSPEC; 
{ /* ./Ieee/symbol.scm 125 */
obj_t BgL_aux1821z00_844;
{ /* ./Ieee/symbol.scm 125 */
char * BgL_auxz00_1023;
BgL_auxz00_1023 = 
BSTRING_TO_STRING(BgL_stringz00_3); 
BgL_aux1821z00_844 = 
string_to_symbol(BgL_auxz00_1023); } 
POP_TRACE(); 
return BgL_aux1821z00_844;} } } } 
}



/* _string->symbol1878 */
obj_t BGl__stringzd2ze3symbol1878z31zz__r4_symbols_6_4z00(obj_t BgL_envz00_717, obj_t BgL_stringz00_718)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 124 */
{ /* ./Ieee/symbol.scm 125 */
obj_t BgL_res2469z00_848;
{ /* ./Ieee/symbol.scm 125 */
obj_t BgL_stringz00_845;
if(
STRINGP(BgL_stringz00_718))
{ /* ./Ieee/symbol.scm 125 */
BgL_stringz00_845 = BgL_stringz00_718; }  else 
{ /* ./Ieee/symbol.scm 125 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2444z00zz__r4_symbols_6_4z00, BGl_string2439z00zz__r4_symbols_6_4z00, BgL_stringz00_718, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)5347))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 125 */
obj_t BgL_symbol1822z00_846;
BgL_symbol1822z00_846 = BGl_symbol2443z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 125 */

PUSH_TRACE(BgL_symbol1822z00_846); BUNSPEC; 
{ /* ./Ieee/symbol.scm 125 */
obj_t BgL_aux1821z00_847;
{ /* ./Ieee/symbol.scm 125 */
char * BgL_auxz00_1033;
BgL_auxz00_1033 = 
BSTRING_TO_STRING(BgL_stringz00_845); 
BgL_aux1821z00_847 = 
string_to_symbol(BgL_auxz00_1033); } 
POP_TRACE(); 
BgL_res2469z00_848 = BgL_aux1821z00_847; } } } } 
return BgL_res2469z00_848;} } 
}



/* string->symbol-ci */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t BgL_stringz00_4)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 130 */
{ /* ./Ieee/symbol.scm 131 */
obj_t BgL_symbol1826z00_688;
BgL_symbol1826z00_688 = BGl_symbol2445z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 131 */

PUSH_TRACE(BgL_symbol1826z00_688); BUNSPEC; 
{ /* ./Ieee/symbol.scm 131 */
obj_t BgL_aux1825z00_689;
{ /* ./Ieee/symbol.scm 131 */
obj_t BgL_arg1047z00_558;
BgL_arg1047z00_558 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_stringz00_4); 
{ /* ./Ieee/symbol.scm 131 */
char * BgL_auxz00_1039;
BgL_auxz00_1039 = 
BSTRING_TO_STRING(BgL_arg1047z00_558); 
BgL_aux1825z00_689 = 
string_to_symbol(BgL_auxz00_1039); } } 
POP_TRACE(); 
return BgL_aux1825z00_689;} } } } 
}



/* _string->symbol-ci1880 */
obj_t BGl__stringzd2ze3symbolzd2ci1880ze3zz__r4_symbols_6_4z00(obj_t BgL_envz00_719, obj_t BgL_stringz00_720)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 130 */
{ /* ./Ieee/symbol.scm 131 */
obj_t BgL_auxz00_1043;
if(
STRINGP(BgL_stringz00_720))
{ /* ./Ieee/symbol.scm 131 */
BgL_auxz00_1043 = BgL_stringz00_720
; }  else 
{ /* ./Ieee/symbol.scm 131 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2446z00zz__r4_symbols_6_4z00, BGl_string2439z00zz__r4_symbols_6_4z00, BgL_stringz00_720, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)5653))); 
exit( -1 );} 
return 
BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(BgL_auxz00_1043);} } 
}



/* symbol-append */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t BgL_listz00_5)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 136 */
{ /* ./Ieee/symbol.scm 138 */
obj_t BgL_symbol1830z00_690;
BgL_symbol1830z00_690 = BGl_symbol2447z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 138 */

PUSH_TRACE(BgL_symbol1830z00_690); BUNSPEC; 
{ /* ./Ieee/symbol.scm 138 */
obj_t BgL_aux1829z00_691;
{ /* ./Ieee/symbol.scm 138 */
obj_t BgL_arg1051z00_350;
if(
NULLP(BgL_listz00_5))
{ /* ./Ieee/symbol.scm 138 */
BgL_arg1051z00_350 = BGl_string2448z00zz__r4_symbols_6_4z00; }  else 
{ /* ./Ieee/symbol.scm 138 */
BgL_arg1051z00_350 = 
BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(BgL_listz00_5); } 
{ /* ./Ieee/symbol.scm 137 */
obj_t BgL_stringz00_567;
if(
STRINGP(BgL_arg1051z00_350))
{ /* ./Ieee/symbol.scm 144 */
BgL_stringz00_567 = BgL_arg1051z00_350; }  else 
{ /* ./Ieee/symbol.scm 144 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2447z00zz__r4_symbols_6_4z00, BGl_string2439z00zz__r4_symbols_6_4z00, BgL_arg1051z00_350, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6159))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 137 */
char * BgL_auxz00_1059;
BgL_auxz00_1059 = 
BSTRING_TO_STRING(BgL_stringz00_567); 
BgL_aux1829z00_691 = 
string_to_symbol(BgL_auxz00_1059); } } } 
POP_TRACE(); 
return BgL_aux1829z00_691;} } } } 
}



/* symbol-append' */
obj_t BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(obj_t BgL_listz00_352)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 140 */
{ /* ./Ieee/symbol.scm 141 */
bool_t BgL_test1055z00_354;
{ /* ./Ieee/symbol.scm 141 */
obj_t BgL_arg1079z00_360;
{ /* ./Ieee/symbol.scm 141 */
obj_t BgL_pairz00_560;
if(
PAIRP(BgL_listz00_352))
{ /* ./Ieee/symbol.scm 141 */
BgL_pairz00_560 = BgL_listz00_352; }  else 
{ /* ./Ieee/symbol.scm 141 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2449z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_listz00_352, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6033))); 
exit( -1 );} 
BgL_arg1079z00_360 = 
CDR(BgL_pairz00_560); } 
BgL_test1055z00_354 = 
NULLP(BgL_arg1079z00_360); } 
if(BgL_test1055z00_354)
{ /* ./Ieee/symbol.scm 142 */
obj_t BgL_arg1058z00_355;
{ /* ./Ieee/symbol.scm 142 */
obj_t BgL_pairz00_562;
if(
PAIRP(BgL_listz00_352))
{ /* ./Ieee/symbol.scm 142 */
BgL_pairz00_562 = BgL_listz00_352; }  else 
{ /* ./Ieee/symbol.scm 142 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2449z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_listz00_352, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6069))); 
exit( -1 );} 
BgL_arg1058z00_355 = 
CAR(BgL_pairz00_562); } 
{ /* ./Ieee/symbol.scm 142 */
obj_t BgL_symbolz00_563;
if(
SYMBOLP(BgL_arg1058z00_355))
{ /* ./Ieee/symbol.scm 142 */
BgL_symbolz00_563 = BgL_arg1058z00_355; }  else 
{ /* ./Ieee/symbol.scm 142 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2449z00zz__r4_symbols_6_4z00, BGl_string2435z00zz__r4_symbols_6_4z00, BgL_arg1058z00_355, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6070))); 
exit( -1 );} 
return 
SYMBOL_TO_STRING(BgL_symbolz00_563);} }  else 
{ /* ./Ieee/symbol.scm 143 */
obj_t BgL_arg1064z00_356;obj_t BgL_arg1065z00_357;
{ /* ./Ieee/symbol.scm 143 */
obj_t BgL_arg1068z00_358;
{ /* ./Ieee/symbol.scm 143 */
obj_t BgL_pairz00_564;
if(
PAIRP(BgL_listz00_352))
{ /* ./Ieee/symbol.scm 143 */
BgL_pairz00_564 = BgL_listz00_352; }  else 
{ /* ./Ieee/symbol.scm 143 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2449z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_listz00_352, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6122))); 
exit( -1 );} 
BgL_arg1068z00_358 = 
CAR(BgL_pairz00_564); } 
{ /* ./Ieee/symbol.scm 143 */
obj_t BgL_symbolz00_565;
if(
SYMBOLP(BgL_arg1068z00_358))
{ /* ./Ieee/symbol.scm 143 */
BgL_symbolz00_565 = BgL_arg1068z00_358; }  else 
{ /* ./Ieee/symbol.scm 143 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2449z00zz__r4_symbols_6_4z00, BGl_string2435z00zz__r4_symbols_6_4z00, BgL_arg1068z00_358, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6123))); 
exit( -1 );} 
BgL_arg1064z00_356 = 
SYMBOL_TO_STRING(BgL_symbolz00_565); } } 
{ /* ./Ieee/symbol.scm 144 */
obj_t BgL_arg1073z00_359;
{ /* ./Ieee/symbol.scm 144 */
obj_t BgL_pairz00_566;
if(
PAIRP(BgL_listz00_352))
{ /* ./Ieee/symbol.scm 144 */
BgL_pairz00_566 = BgL_listz00_352; }  else 
{ /* ./Ieee/symbol.scm 144 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2449z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_listz00_352, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)6153))); 
exit( -1 );} 
BgL_arg1073z00_359 = 
CDR(BgL_pairz00_566); } 
BgL_arg1065z00_357 = 
BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(BgL_arg1073z00_359); } 
return 
string_append(BgL_arg1064z00_356, BgL_arg1065z00_357);} } } 
}



/* _symbol-append */
obj_t BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t BgL_envz00_721, obj_t BgL_listz00_722)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 136 */
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_listz00_722);} 
}



/* symbol-plist */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_6)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 173 */
{ /* ./Ieee/symbol.scm 175 */
obj_t BgL_symbol1834z00_849;
BgL_symbol1834z00_849 = BGl_symbol2450z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 175 */

PUSH_TRACE(BgL_symbol1834z00_849); BUNSPEC; 
{ /* ./Ieee/symbol.scm 175 */
obj_t BgL_aux1833z00_850;
if(
SYMBOLP(BgL_symbolz00_6))
{ /* ./Ieee/symbol.scm 175 */
BgL_aux1833z00_850 = 
GET_SYMBOL_PLIST(BgL_symbolz00_6); }  else 
{ /* ./Ieee/symbol.scm 175 */
if(
KEYWORDP(BgL_symbolz00_6))
{ /* ./Ieee/symbol.scm 175 */
BgL_aux1833z00_850 = 
GET_KEYWORD_PLIST(BgL_symbolz00_6); }  else 
{ /* ./Ieee/symbol.scm 175 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2451z00zz__r4_symbols_6_4z00, BGl_string2452z00zz__r4_symbols_6_4z00, BgL_symbolz00_6, "./Ieee/symbol.scm", ((long)7316)); 
BgL_aux1833z00_850 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)7189))); } } 
POP_TRACE(); 
return BgL_aux1833z00_850;} } } } 
}



/* _symbol-plist */
obj_t BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t BgL_envz00_723, obj_t BgL_symbolz00_724)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 173 */
{ /* ./Ieee/symbol.scm 175 */
obj_t BgL_symbol1834z00_852;
BgL_symbol1834z00_852 = BGl_symbol2450z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 175 */

PUSH_TRACE(BgL_symbol1834z00_852); BUNSPEC; 
{ /* ./Ieee/symbol.scm 175 */
obj_t BgL_aux1833z00_853;
if(
SYMBOLP(BgL_symbolz00_724))
{ /* ./Ieee/symbol.scm 175 */
BgL_aux1833z00_853 = 
GET_SYMBOL_PLIST(BgL_symbolz00_724); }  else 
{ /* ./Ieee/symbol.scm 175 */
if(
KEYWORDP(BgL_symbolz00_724))
{ /* ./Ieee/symbol.scm 175 */
BgL_aux1833z00_853 = 
GET_KEYWORD_PLIST(BgL_symbolz00_724); }  else 
{ /* ./Ieee/symbol.scm 175 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2451z00zz__r4_symbols_6_4z00, BGl_string2452z00zz__r4_symbols_6_4z00, BgL_symbolz00_724, "./Ieee/symbol.scm", ((long)7316)); 
BgL_aux1833z00_853 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)7189))); } } 
POP_TRACE(); 
return BgL_aux1833z00_853;} } } } 
}



/* getprop */
BGL_EXPORTED_DEF obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_7, obj_t BgL_keyz00_8)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 187 */
{ /* ./Ieee/symbol.scm 188 */
obj_t BgL_symbol1838z00_694;
BgL_symbol1838z00_694 = BGl_symbol2453z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 188 */

PUSH_TRACE(BgL_symbol1838z00_694); BUNSPEC; 
{ /* ./Ieee/symbol.scm 188 */
obj_t BgL_aux1837z00_695;
{ /* ./Ieee/symbol.scm 188 */
bool_t BgL_test1091z00_363;
if(
SYMBOLP(BgL_symbolz00_7))
{ /* ./Ieee/symbol.scm 188 */
BgL_test1091z00_363 = ((bool_t)1); }  else 
{ /* ./Ieee/symbol.scm 188 */
BgL_test1091z00_363 = 
KEYWORDP(BgL_symbolz00_7); } 
if(BgL_test1091z00_363)
{ 
obj_t BgL_plz00_364;
{ /* ./Ieee/symbol.scm 189 */
obj_t BgL_arg1093z00_366;
if(
SYMBOLP(BgL_symbolz00_7))
{ /* ./Ieee/symbol.scm 189 */
BgL_arg1093z00_366 = 
GET_SYMBOL_PLIST(BgL_symbolz00_7); }  else 
{ /* ./Ieee/symbol.scm 189 */
if(
KEYWORDP(BgL_symbolz00_7))
{ /* ./Ieee/symbol.scm 189 */
BgL_arg1093z00_366 = 
GET_KEYWORD_PLIST(BgL_symbolz00_7); }  else 
{ /* ./Ieee/symbol.scm 189 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2451z00zz__r4_symbols_6_4z00, BGl_string2452z00zz__r4_symbols_6_4z00, BgL_symbolz00_7, "./Ieee/symbol.scm", ((long)7316)); 
BgL_arg1093z00_366 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)7729))); } } 
BgL_plz00_364 = BgL_arg1093z00_366; 
BgL_loopz00_365:
if(
NULLP(BgL_plz00_364))
{ /* ./Ieee/symbol.scm 191 */
BgL_aux1837z00_695 = BFALSE; }  else 
{ /* ./Ieee/symbol.scm 193 */
bool_t BgL_test1097z00_368;
{ /* ./Ieee/symbol.scm 193 */
obj_t BgL_arg1104z00_370;
{ /* ./Ieee/symbol.scm 193 */
obj_t BgL_pairz00_586;
if(
PAIRP(BgL_plz00_364))
{ /* ./Ieee/symbol.scm 193 */
BgL_pairz00_586 = BgL_plz00_364; }  else 
{ /* ./Ieee/symbol.scm 193 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2453z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_plz00_364, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)7809))); 
exit( -1 );} 
BgL_arg1104z00_370 = 
CAR(BgL_pairz00_586); } 
BgL_test1097z00_368 = 
(BgL_arg1104z00_370==BgL_keyz00_8); } 
if(BgL_test1097z00_368)
{ /* ./Ieee/symbol.scm 193 */
{ /* ./Ieee/symbol.scm 194 */
obj_t BgL_pairz00_587;
if(
PAIRP(BgL_plz00_364))
{ /* ./Ieee/symbol.scm 194 */
BgL_pairz00_587 = BgL_plz00_364; }  else 
{ /* ./Ieee/symbol.scm 194 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2453z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_plz00_364, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)7831))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 194 */
obj_t BgL_arg1578z00_588;
BgL_arg1578z00_588 = 
CDR(BgL_pairz00_587); 
{ /* ./Ieee/symbol.scm 194 */
obj_t BgL_pairz00_590;
if(
PAIRP(BgL_arg1578z00_588))
{ /* ./Ieee/symbol.scm 194 */
BgL_pairz00_590 = BgL_arg1578z00_588; }  else 
{ /* ./Ieee/symbol.scm 194 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2453z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_arg1578z00_588, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)7824))); 
exit( -1 );} 
BgL_aux1837z00_695 = 
CAR(BgL_pairz00_590); } } } }  else 
{ /* ./Ieee/symbol.scm 193 */
{ /* ./Ieee/symbol.scm 196 */
obj_t BgL_arg1100z00_369;
{ /* ./Ieee/symbol.scm 196 */
obj_t BgL_pairz00_591;
if(
PAIRP(BgL_plz00_364))
{ /* ./Ieee/symbol.scm 196 */
BgL_pairz00_591 = BgL_plz00_364; }  else 
{ /* ./Ieee/symbol.scm 196 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2453z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_plz00_364, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)7867))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 196 */
obj_t BgL_arg1570z00_592;
BgL_arg1570z00_592 = 
CDR(BgL_pairz00_591); 
{ /* ./Ieee/symbol.scm 196 */
obj_t BgL_pairz00_594;
if(
PAIRP(BgL_arg1570z00_592))
{ /* ./Ieee/symbol.scm 196 */
BgL_pairz00_594 = BgL_arg1570z00_592; }  else 
{ /* ./Ieee/symbol.scm 196 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2453z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_arg1570z00_592, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)7860))); 
exit( -1 );} 
BgL_arg1100z00_369 = 
CDR(BgL_pairz00_594); } } } 
{ 
obj_t BgL_plz00_1174;
BgL_plz00_1174 = BgL_arg1100z00_369; 
BgL_plz00_364 = BgL_plz00_1174; 
goto BgL_loopz00_365;} } } } } }  else 
{ /* ./Ieee/symbol.scm 188 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2454z00zz__r4_symbols_6_4z00, BGl_string2452z00zz__r4_symbols_6_4z00, BgL_symbolz00_7, "./Ieee/symbol.scm", ((long)7881)); 
BgL_aux1837z00_695 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)7941))); } } 
POP_TRACE(); 
return BgL_aux1837z00_695;} } } } 
}



/* _getprop1884 */
obj_t BGl__getprop1884z00zz__r4_symbols_6_4z00(obj_t BgL_envz00_725, obj_t BgL_symbolz00_726, obj_t BgL_keyz00_727)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 187 */
{ /* ./Ieee/symbol.scm 188 */
obj_t BgL_auxz00_1179;
if(
SYMBOLP(BgL_keyz00_727))
{ /* ./Ieee/symbol.scm 188 */
BgL_auxz00_1179 = BgL_keyz00_727
; }  else 
{ /* ./Ieee/symbol.scm 188 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2455z00zz__r4_symbols_6_4z00, BGl_string2435z00zz__r4_symbols_6_4z00, BgL_keyz00_727, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)7663))); 
exit( -1 );} 
return 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_symbolz00_726, BgL_auxz00_1179);} } 
}



/* putprop! */
BGL_EXPORTED_DEF obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_9, obj_t BgL_keyz00_10, obj_t BgL_valz00_11)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 202 */
{ /* ./Ieee/symbol.scm 203 */
obj_t BgL_symbol1842z00_696;
BgL_symbol1842z00_696 = BGl_symbol2456z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 203 */

PUSH_TRACE(BgL_symbol1842z00_696); BUNSPEC; 
{ /* ./Ieee/symbol.scm 203 */
obj_t BgL_aux1841z00_697;
{ /* ./Ieee/symbol.scm 203 */
bool_t BgL_test1113z00_372;
if(
SYMBOLP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 203 */
BgL_test1113z00_372 = ((bool_t)1); }  else 
{ /* ./Ieee/symbol.scm 203 */
BgL_test1113z00_372 = 
KEYWORDP(BgL_symbolz00_9); } 
if(BgL_test1113z00_372)
{ 
obj_t BgL_plz00_373;
{ /* ./Ieee/symbol.scm 204 */
obj_t BgL_arg1115z00_375;
if(
SYMBOLP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 204 */
BgL_arg1115z00_375 = 
GET_SYMBOL_PLIST(BgL_symbolz00_9); }  else 
{ /* ./Ieee/symbol.scm 204 */
if(
KEYWORDP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 204 */
BgL_arg1115z00_375 = 
GET_KEYWORD_PLIST(BgL_symbolz00_9); }  else 
{ /* ./Ieee/symbol.scm 204 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2451z00zz__r4_symbols_6_4z00, BGl_string2452z00zz__r4_symbols_6_4z00, BgL_symbolz00_9, "./Ieee/symbol.scm", ((long)7316)); 
BgL_arg1115z00_375 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)8279))); } } 
BgL_plz00_373 = BgL_arg1115z00_375; 
BgL_loopz00_374:
if(
NULLP(BgL_plz00_373))
{ /* ./Ieee/symbol.scm 206 */
{ /* ./Ieee/symbol.scm 207 */
obj_t BgL_newz00_377;
{ /* ./Ieee/symbol.scm 207 */
obj_t BgL_arg1124z00_379;
{ /* ./Ieee/symbol.scm 207 */
obj_t BgL_arg1127z00_380;
if(
SYMBOLP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 207 */
BgL_arg1127z00_380 = 
GET_SYMBOL_PLIST(BgL_symbolz00_9); }  else 
{ /* ./Ieee/symbol.scm 207 */
if(
KEYWORDP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 207 */
BgL_arg1127z00_380 = 
GET_KEYWORD_PLIST(BgL_symbolz00_9); }  else 
{ /* ./Ieee/symbol.scm 207 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2451z00zz__r4_symbols_6_4z00, BGl_string2452z00zz__r4_symbols_6_4z00, BgL_symbolz00_9, "./Ieee/symbol.scm", ((long)7316)); 
BgL_arg1127z00_380 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)8363))); } } 
BgL_arg1124z00_379 = 
MAKE_PAIR(BgL_valz00_11, BgL_arg1127z00_380); } 
BgL_newz00_377 = 
MAKE_PAIR(BgL_keyz00_10, BgL_arg1124z00_379); } 
if(
SYMBOLP(BgL_symbolz00_9))
{ /* ./Ieee/symbol.scm 208 */
SET_SYMBOL_PLIST(BgL_symbolz00_9, BgL_newz00_377); }  else 
{ /* ./Ieee/symbol.scm 208 */
SET_KEYWORD_PLIST(BgL_symbolz00_9, BgL_newz00_377); } 
BgL_aux1841z00_697 = BgL_newz00_377; } }  else 
{ /* ./Ieee/symbol.scm 212 */
bool_t BgL_test1130z00_381;
{ /* ./Ieee/symbol.scm 212 */
obj_t BgL_arg1140z00_384;
{ /* ./Ieee/symbol.scm 212 */
obj_t BgL_pairz00_618;
if(
PAIRP(BgL_plz00_373))
{ /* ./Ieee/symbol.scm 212 */
BgL_pairz00_618 = BgL_plz00_373; }  else 
{ /* ./Ieee/symbol.scm 212 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2456z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_plz00_373, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)8515))); 
exit( -1 );} 
BgL_arg1140z00_384 = 
CAR(BgL_pairz00_618); } 
BgL_test1130z00_381 = 
(BgL_arg1140z00_384==BgL_keyz00_10); } 
if(BgL_test1130z00_381)
{ /* ./Ieee/symbol.scm 212 */
{ /* ./Ieee/symbol.scm 213 */
obj_t BgL_arg1132z00_382;
{ /* ./Ieee/symbol.scm 213 */
obj_t BgL_pairz00_619;
if(
PAIRP(BgL_plz00_373))
{ /* ./Ieee/symbol.scm 213 */
BgL_pairz00_619 = BgL_plz00_373; }  else 
{ /* ./Ieee/symbol.scm 213 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2456z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_plz00_373, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)8546))); 
exit( -1 );} 
BgL_arg1132z00_382 = 
CDR(BgL_pairz00_619); } 
{ /* ./Ieee/symbol.scm 213 */
obj_t BgL_pairz00_620;
if(
PAIRP(BgL_arg1132z00_382))
{ /* ./Ieee/symbol.scm 213 */
BgL_pairz00_620 = BgL_arg1132z00_382; }  else 
{ /* ./Ieee/symbol.scm 213 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2456z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_arg1132z00_382, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)8547))); 
exit( -1 );} 
BgL_aux1841z00_697 = 
SET_CAR(BgL_pairz00_620, BgL_valz00_11); } } }  else 
{ /* ./Ieee/symbol.scm 212 */
{ /* ./Ieee/symbol.scm 215 */
obj_t BgL_arg1136z00_383;
{ /* ./Ieee/symbol.scm 215 */
obj_t BgL_pairz00_622;
if(
PAIRP(BgL_plz00_373))
{ /* ./Ieee/symbol.scm 215 */
BgL_pairz00_622 = BgL_plz00_373; }  else 
{ /* ./Ieee/symbol.scm 215 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2456z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_plz00_373, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)8587))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 215 */
obj_t BgL_arg1570z00_623;
BgL_arg1570z00_623 = 
CDR(BgL_pairz00_622); 
{ /* ./Ieee/symbol.scm 215 */
obj_t BgL_pairz00_625;
if(
PAIRP(BgL_arg1570z00_623))
{ /* ./Ieee/symbol.scm 215 */
BgL_pairz00_625 = BgL_arg1570z00_623; }  else 
{ /* ./Ieee/symbol.scm 215 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2456z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_arg1570z00_623, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)8580))); 
exit( -1 );} 
BgL_arg1136z00_383 = 
CDR(BgL_pairz00_625); } } } 
{ 
obj_t BgL_plz00_1249;
BgL_plz00_1249 = BgL_arg1136z00_383; 
BgL_plz00_373 = BgL_plz00_1249; 
goto BgL_loopz00_374;} } } } } }  else 
{ /* ./Ieee/symbol.scm 203 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2454z00zz__r4_symbols_6_4z00, BGl_string2452z00zz__r4_symbols_6_4z00, BgL_symbolz00_9, "./Ieee/symbol.scm", ((long)8601)); 
BgL_aux1841z00_697 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)8661))); } } 
POP_TRACE(); 
return BgL_aux1841z00_697;} } } } 
}



/* _putprop!1886 */
obj_t BGl__putpropz121886z12zz__r4_symbols_6_4z00(obj_t BgL_envz00_728, obj_t BgL_symbolz00_729, obj_t BgL_keyz00_730, obj_t BgL_valz00_731)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 202 */
{ /* ./Ieee/symbol.scm 203 */
obj_t BgL_auxz00_1254;
if(
SYMBOLP(BgL_keyz00_730))
{ /* ./Ieee/symbol.scm 203 */
BgL_auxz00_1254 = BgL_keyz00_730
; }  else 
{ /* ./Ieee/symbol.scm 203 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2457z00zz__r4_symbols_6_4z00, BGl_string2435z00zz__r4_symbols_6_4z00, BgL_keyz00_730, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)8213))); 
exit( -1 );} 
return 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_729, BgL_auxz00_1254, BgL_valz00_731);} } 
}



/* remprop! */
BGL_EXPORTED_DEF obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_12, obj_t BgL_keyz00_13)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 221 */
{ /* ./Ieee/symbol.scm 222 */
obj_t BgL_symbol1846z00_698;
BgL_symbol1846z00_698 = BGl_symbol2458z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 222 */

PUSH_TRACE(BgL_symbol1846z00_698); BUNSPEC; 
{ /* ./Ieee/symbol.scm 222 */
obj_t BgL_aux1845z00_699;
{ /* ./Ieee/symbol.scm 222 */
bool_t BgL_test1149z00_386;
if(
SYMBOLP(BgL_symbolz00_12))
{ /* ./Ieee/symbol.scm 222 */
BgL_test1149z00_386 = ((bool_t)1); }  else 
{ /* ./Ieee/symbol.scm 222 */
BgL_test1149z00_386 = 
KEYWORDP(BgL_symbolz00_12); } 
if(BgL_test1149z00_386)
{ 
obj_t BgL_oldz00_387;obj_t BgL_lz00_388;
{ /* ./Ieee/symbol.scm 223 */
obj_t BgL_arg1152z00_391;
if(
SYMBOLP(BgL_symbolz00_12))
{ /* ./Ieee/symbol.scm 224 */
BgL_arg1152z00_391 = 
GET_SYMBOL_PLIST(BgL_symbolz00_12); }  else 
{ /* ./Ieee/symbol.scm 224 */
if(
KEYWORDP(BgL_symbolz00_12))
{ /* ./Ieee/symbol.scm 224 */
BgL_arg1152z00_391 = 
GET_KEYWORD_PLIST(BgL_symbolz00_12); }  else 
{ /* ./Ieee/symbol.scm 224 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2451z00zz__r4_symbols_6_4z00, BGl_string2452z00zz__r4_symbols_6_4z00, BgL_symbolz00_12, "./Ieee/symbol.scm", ((long)7316)); 
BgL_arg1152z00_391 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9010))); } } 
BgL_oldz00_387 = BNIL; 
BgL_lz00_388 = BgL_arg1152z00_391; 
BgL_loopz00_389:
if(
NULLP(BgL_lz00_388))
{ /* ./Ieee/symbol.scm 226 */
BgL_aux1845z00_699 = BFALSE; }  else 
{ /* ./Ieee/symbol.scm 228 */
bool_t BgL_test1156z00_393;
{ /* ./Ieee/symbol.scm 228 */
obj_t BgL_arg1183z00_401;
{ /* ./Ieee/symbol.scm 228 */
obj_t BgL_pairz00_640;
if(
PAIRP(BgL_lz00_388))
{ /* ./Ieee/symbol.scm 228 */
BgL_pairz00_640 = BgL_lz00_388; }  else 
{ /* ./Ieee/symbol.scm 228 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2458z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_lz00_388, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9088))); 
exit( -1 );} 
BgL_arg1183z00_401 = 
CAR(BgL_pairz00_640); } 
BgL_test1156z00_393 = 
(BgL_arg1183z00_401==BgL_keyz00_13); } 
if(BgL_test1156z00_393)
{ /* ./Ieee/symbol.scm 228 */
{ /* ./Ieee/symbol.scm 230 */
bool_t BgL_test1157z00_394;
BgL_test1157z00_394 = 
PAIRP(BgL_oldz00_387); 
if(BgL_test1157z00_394)
{ /* ./Ieee/symbol.scm 230 */
{ /* ./Ieee/symbol.scm 231 */
obj_t BgL_arg1160z00_395;obj_t BgL_arg1161z00_396;
{ /* ./Ieee/symbol.scm 231 */
obj_t BgL_pairz00_642;
if(BgL_test1157z00_394)
{ /* ./Ieee/symbol.scm 231 */
BgL_pairz00_642 = BgL_oldz00_387; }  else 
{ /* ./Ieee/symbol.scm 231 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2458z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_oldz00_387, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9146))); 
exit( -1 );} 
BgL_arg1160z00_395 = 
CDR(BgL_pairz00_642); } 
{ /* ./Ieee/symbol.scm 231 */
obj_t BgL_pairz00_643;
if(
PAIRP(BgL_lz00_388))
{ /* ./Ieee/symbol.scm 231 */
BgL_pairz00_643 = BgL_lz00_388; }  else 
{ /* ./Ieee/symbol.scm 231 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2458z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_lz00_388, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9155))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 231 */
obj_t BgL_arg1570z00_644;
BgL_arg1570z00_644 = 
CDR(BgL_pairz00_643); 
{ /* ./Ieee/symbol.scm 231 */
obj_t BgL_pairz00_646;
if(
PAIRP(BgL_arg1570z00_644))
{ /* ./Ieee/symbol.scm 231 */
BgL_pairz00_646 = BgL_arg1570z00_644; }  else 
{ /* ./Ieee/symbol.scm 231 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2458z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_arg1570z00_644, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9149))); 
exit( -1 );} 
BgL_arg1161z00_396 = 
CDR(BgL_pairz00_646); } } } 
{ /* ./Ieee/symbol.scm 231 */
obj_t BgL_pairz00_647;
if(
PAIRP(BgL_arg1160z00_395))
{ /* ./Ieee/symbol.scm 231 */
BgL_pairz00_647 = BgL_arg1160z00_395; }  else 
{ /* ./Ieee/symbol.scm 231 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2458z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_arg1160z00_395, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9147))); 
exit( -1 );} 
BgL_aux1845z00_699 = 
SET_CDR(BgL_pairz00_647, BgL_arg1161z00_396); } } }  else 
{ /* ./Ieee/symbol.scm 230 */
if(
SYMBOLP(BgL_symbolz00_12))
{ /* ./Ieee/symbol.scm 234 */
obj_t BgL_arg1169z00_398;
{ /* ./Ieee/symbol.scm 234 */
obj_t BgL_pairz00_650;
if(
PAIRP(BgL_lz00_388))
{ /* ./Ieee/symbol.scm 234 */
BgL_pairz00_650 = BgL_lz00_388; }  else 
{ /* ./Ieee/symbol.scm 234 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2458z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_lz00_388, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9233))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 234 */
obj_t BgL_arg1570z00_651;
BgL_arg1570z00_651 = 
CDR(BgL_pairz00_650); 
{ /* ./Ieee/symbol.scm 234 */
obj_t BgL_pairz00_653;
if(
PAIRP(BgL_arg1570z00_651))
{ /* ./Ieee/symbol.scm 234 */
BgL_pairz00_653 = BgL_arg1570z00_651; }  else 
{ /* ./Ieee/symbol.scm 234 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2458z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_arg1570z00_651, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9227))); 
exit( -1 );} 
BgL_arg1169z00_398 = 
CDR(BgL_pairz00_653); } } } 
BgL_aux1845z00_699 = 
SET_SYMBOL_PLIST(BgL_symbolz00_12, BgL_arg1169z00_398); }  else 
{ /* ./Ieee/symbol.scm 235 */
obj_t BgL_arg1173z00_399;
{ /* ./Ieee/symbol.scm 235 */
obj_t BgL_pairz00_654;
if(
PAIRP(BgL_lz00_388))
{ /* ./Ieee/symbol.scm 235 */
BgL_pairz00_654 = BgL_lz00_388; }  else 
{ /* ./Ieee/symbol.scm 235 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2458z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_lz00_388, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9277))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 235 */
obj_t BgL_arg1570z00_655;
BgL_arg1570z00_655 = 
CDR(BgL_pairz00_654); 
{ /* ./Ieee/symbol.scm 235 */
obj_t BgL_pairz00_657;
if(
PAIRP(BgL_arg1570z00_655))
{ /* ./Ieee/symbol.scm 235 */
BgL_pairz00_657 = BgL_arg1570z00_655; }  else 
{ /* ./Ieee/symbol.scm 235 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2458z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_arg1570z00_655, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9271))); 
exit( -1 );} 
BgL_arg1173z00_399 = 
CDR(BgL_pairz00_657); } } } 
BgL_aux1845z00_699 = 
SET_KEYWORD_PLIST(BgL_symbolz00_12, BgL_arg1173z00_399); } } } }  else 
{ /* ./Ieee/symbol.scm 228 */
{ /* ./Ieee/symbol.scm 237 */
obj_t BgL_arg1179z00_400;
{ /* ./Ieee/symbol.scm 237 */
obj_t BgL_pairz00_658;
if(
PAIRP(BgL_lz00_388))
{ /* ./Ieee/symbol.scm 237 */
BgL_pairz00_658 = BgL_lz00_388; }  else 
{ /* ./Ieee/symbol.scm 237 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2458z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_lz00_388, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9318))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 237 */
obj_t BgL_arg1570z00_659;
BgL_arg1570z00_659 = 
CDR(BgL_pairz00_658); 
{ /* ./Ieee/symbol.scm 237 */
obj_t BgL_pairz00_661;
if(
PAIRP(BgL_arg1570z00_659))
{ /* ./Ieee/symbol.scm 237 */
BgL_pairz00_661 = BgL_arg1570z00_659; }  else 
{ /* ./Ieee/symbol.scm 237 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2458z00zz__r4_symbols_6_4z00, BGl_string2433z00zz__r4_symbols_6_4z00, BgL_arg1570z00_659, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9312))); 
exit( -1 );} 
BgL_arg1179z00_400 = 
CDR(BgL_pairz00_661); } } } 
{ 
obj_t BgL_lz00_1351;obj_t BgL_oldz00_1350;
BgL_oldz00_1350 = BgL_lz00_388; 
BgL_lz00_1351 = BgL_arg1179z00_400; 
BgL_lz00_388 = BgL_lz00_1351; 
BgL_oldz00_387 = BgL_oldz00_1350; 
goto BgL_loopz00_389;} } } } } }  else 
{ /* ./Ieee/symbol.scm 222 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2454z00zz__r4_symbols_6_4z00, BGl_string2452z00zz__r4_symbols_6_4z00, BgL_symbolz00_12, "./Ieee/symbol.scm", ((long)9332)); 
BgL_aux1845z00_699 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9392))); } } 
POP_TRACE(); 
return BgL_aux1845z00_699;} } } } 
}



/* _remprop!1888 */
obj_t BGl__rempropz121888z12zz__r4_symbols_6_4z00(obj_t BgL_envz00_732, obj_t BgL_symbolz00_733, obj_t BgL_keyz00_734)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 221 */
{ /* ./Ieee/symbol.scm 222 */
obj_t BgL_auxz00_1356;
if(
SYMBOLP(BgL_keyz00_734))
{ /* ./Ieee/symbol.scm 222 */
BgL_auxz00_1356 = BgL_keyz00_734
; }  else 
{ /* ./Ieee/symbol.scm 222 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2459z00zz__r4_symbols_6_4z00, BGl_string2435z00zz__r4_symbols_6_4z00, BgL_keyz00_734, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)8929))); 
exit( -1 );} 
return 
BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_733, BgL_auxz00_1356);} } 
}



/* keyword? */
BGL_EXPORTED_DEF bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_objz00_14)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 243 */
{ /* ./Ieee/symbol.scm 244 */
obj_t BgL_symbol1850z00_854;
BgL_symbol1850z00_854 = BGl_symbol2460z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 244 */

PUSH_TRACE(BgL_symbol1850z00_854); BUNSPEC; 
{ /* ./Ieee/symbol.scm 244 */
bool_t BgL_aux1849z00_855;
BgL_aux1849z00_855 = 
KEYWORDP(BgL_objz00_14); 
POP_TRACE(); 
return BgL_aux1849z00_855;} } } } 
}



/* _keyword? */
obj_t BGl__keywordzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_envz00_735, obj_t BgL_objz00_736)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 243 */
{ /* ./Ieee/symbol.scm 244 */
bool_t BgL_auxz00_1366;
{ /* ./Ieee/symbol.scm 244 */
bool_t BgL_res2470z00_859;
{ /* ./Ieee/symbol.scm 244 */
obj_t BgL_symbol1850z00_857;
BgL_symbol1850z00_857 = BGl_symbol2460z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 244 */

PUSH_TRACE(BgL_symbol1850z00_857); BUNSPEC; 
{ /* ./Ieee/symbol.scm 244 */
bool_t BgL_aux1849z00_858;
BgL_aux1849z00_858 = 
KEYWORDP(BgL_objz00_736); 
POP_TRACE(); 
BgL_res2470z00_859 = BgL_aux1849z00_858; } } } 
BgL_auxz00_1366 = BgL_res2470z00_859; } 
return 
BBOOL(BgL_auxz00_1366);} } 
}



/* keyword->string */
BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_keywordz00_15)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 249 */
{ /* ./Ieee/symbol.scm 250 */
obj_t BgL_symbol1854z00_860;
BgL_symbol1854z00_860 = BGl_symbol2461z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 250 */

PUSH_TRACE(BgL_symbol1854z00_860); BUNSPEC; 
{ /* ./Ieee/symbol.scm 250 */
obj_t BgL_aux1853z00_861;
BgL_aux1853z00_861 = 
KEYWORD_TO_STRING(BgL_keywordz00_15); 
POP_TRACE(); 
return BgL_aux1853z00_861;} } } } 
}



/* _keyword->string1891 */
obj_t BGl__keywordzd2ze3string1891z31zz__r4_symbols_6_4z00(obj_t BgL_envz00_737, obj_t BgL_keywordz00_738)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 249 */
{ /* ./Ieee/symbol.scm 250 */
obj_t BgL_res2471z00_865;
{ /* ./Ieee/symbol.scm 250 */
obj_t BgL_keywordz00_862;
if(
KEYWORDP(BgL_keywordz00_738))
{ /* ./Ieee/symbol.scm 250 */
BgL_keywordz00_862 = BgL_keywordz00_738; }  else 
{ /* ./Ieee/symbol.scm 250 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2462z00zz__r4_symbols_6_4z00, BGl_string2463z00zz__r4_symbols_6_4z00, BgL_keywordz00_738, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)9945))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 250 */
obj_t BgL_symbol1854z00_863;
BgL_symbol1854z00_863 = BGl_symbol2461z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 250 */

PUSH_TRACE(BgL_symbol1854z00_863); BUNSPEC; 
{ /* ./Ieee/symbol.scm 250 */
obj_t BgL_aux1853z00_864;
BgL_aux1853z00_864 = 
KEYWORD_TO_STRING(BgL_keywordz00_862); 
POP_TRACE(); 
BgL_res2471z00_865 = BgL_aux1853z00_864; } } } } 
return BgL_res2471z00_865;} } 
}



/* string->keyword */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t BgL_stringz00_16)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 255 */
{ /* ./Ieee/symbol.scm 256 */
obj_t BgL_symbol1858z00_866;
BgL_symbol1858z00_866 = BGl_symbol2464z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 256 */

PUSH_TRACE(BgL_symbol1858z00_866); BUNSPEC; 
{ /* ./Ieee/symbol.scm 256 */
obj_t BgL_aux1857z00_867;
{ /* ./Ieee/symbol.scm 256 */
char * BgL_auxz00_1383;
BgL_auxz00_1383 = 
BSTRING_TO_STRING(BgL_stringz00_16); 
BgL_aux1857z00_867 = 
string_to_keyword(BgL_auxz00_1383); } 
POP_TRACE(); 
return BgL_aux1857z00_867;} } } } 
}



/* _string->keyword1893 */
obj_t BGl__stringzd2ze3keyword1893z31zz__r4_symbols_6_4z00(obj_t BgL_envz00_739, obj_t BgL_stringz00_740)
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 255 */
{ /* ./Ieee/symbol.scm 256 */
obj_t BgL_res2472z00_871;
{ /* ./Ieee/symbol.scm 256 */
obj_t BgL_stringz00_868;
if(
STRINGP(BgL_stringz00_740))
{ /* ./Ieee/symbol.scm 256 */
BgL_stringz00_868 = BgL_stringz00_740; }  else 
{ /* ./Ieee/symbol.scm 256 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2465z00zz__r4_symbols_6_4z00, BGl_string2439z00zz__r4_symbols_6_4z00, BgL_stringz00_740, BGl_string2434z00zz__r4_symbols_6_4z00, 
BINT(((long)10240))); 
exit( -1 );} 
{ /* ./Ieee/symbol.scm 256 */
obj_t BgL_symbol1858z00_869;
BgL_symbol1858z00_869 = BGl_symbol2464z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 256 */

PUSH_TRACE(BgL_symbol1858z00_869); BUNSPEC; 
{ /* ./Ieee/symbol.scm 256 */
obj_t BgL_aux1857z00_870;
{ /* ./Ieee/symbol.scm 256 */
char * BgL_auxz00_1393;
BgL_auxz00_1393 = 
BSTRING_TO_STRING(BgL_stringz00_868); 
BgL_aux1857z00_870 = 
string_to_keyword(BgL_auxz00_1393); } 
POP_TRACE(); 
BgL_res2472z00_871 = BgL_aux1857z00_870; } } } } 
return BgL_res2472z00_871;} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00()
{ AN_OBJECT;
{ /* ./Ieee/symbol.scm 14 */
{ /* ./Ieee/symbol.scm 14 */
obj_t BgL_symbol1862z00_706;
BgL_symbol1862z00_706 = BGl_symbol2466z00zz__r4_symbols_6_4z00; 
{ /* ./Ieee/symbol.scm 14 */

PUSH_TRACE(BgL_symbol1862z00_706); BUNSPEC; 
{ /* ./Ieee/symbol.scm 14 */
obj_t BgL_aux1861z00_707;
BgL_aux1861z00_707 = 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__r4_symbols_6_4"); 
POP_TRACE(); 
return BgL_aux1861z00_707;} } } } 
}

